Get consensus probability
curl --request GET \
--url https://api.rekko.ai/v1/markets/{platform}/{market_id}/consensusimport requests
url = "https://api.rekko.ai/v1/markets/{platform}/{market_id}/consensus"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/markets/{platform}/{market_id}/consensus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consensus_probability": 0.69,
"divergence": -0.02,
"divergence_signal": "crowd_agrees",
"generated_at": "2026-03-21T14:30:00Z",
"market_id": "KXFED-26MAR19",
"no_trade_count": 8,
"no_volume_usd": 1450,
"period": "7d",
"platform": "kalshi",
"rekko_probability": 0.71,
"sample_size": 23,
"unique_agents": 8,
"yes_trade_count": 15,
"yes_volume_usd": 3200
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Consensus
Get Consensus
Get consensus probability from aggregated agent trades.
GET
/
v1
/
markets
/
{platform}
/
{market_id}
/
consensus
Get consensus probability
Path Parameters
Example:
"kalshi"
Example:
"KXAGICO-COMP-28Q1"
Query Parameters
Lookback: '24h', '7d', '30d'
Response
Successful Response
Aggregated consensus from agent trading activity.
Market identifier
Platform
Volume-weighted implied probability from agent trades
Required range:
0 <= x <= 1Number of agent trades
Distinct agents who traded
Rekko's latest estimated probability
Required range:
0 <= x <= 1consensus - rekko probability
'crowd_agrees', 'crowd_disagrees', 'strong_divergence', 'neutral', or 'insufficient_data'
Total YES volume
Required range:
x >= 0Total NO volume
Required range:
x >= 0YES trade count
Required range:
x >= 0NO trade count
Required range:
x >= 0Lookback period